What kind of phone do I need?

Pryme Vessyl uses a direct, low-latency connection to sync information between your phone and your cup. In order to pair with your Pryme Vessyl, you’ll need an iPhone 4S or newer device.

Once we release the Android app, we’ll follow up with a complete list of compatible devices.

Have more questions? Submit a request

Have more questions?

Contact Us